Generation Framework

## org.eclipse.gmf.mappings.presentation
Class MapRefModelPages

    java.lang.Object
      org.eclipse.gmf.mappings.presentation.MapRefModelPages

    public class MapRefModelPages

extends java.lang.Object

Constructor Summary
`MapRefModelPages(boolean withSelectors, org.eclipse.emf.ecore.resource.ResourceSet resourceSet)`

Method Summary
`protected void` `addDomainPage(Wizard wizard, org.eclipse.gmf.internal.common.ui.ResourceLocationProvider rloc)`
`protected void` `addGraphPage(Wizard wizard, org.eclipse.gmf.internal.common.ui.ResourceLocationProvider rloc)`
`void` `addPages(Wizard wizard, ISelection selection)`
`protected void` `addToolPage(Wizard wizard, org.eclipse.gmf.internal.common.ui.ResourceLocationProvider rloc)`
`void` `allowNewToolingModel()`
`Mapping` `createMapping()`
`Canvas` `getCanvas()`
`org.eclipse.gmf.internal.common.ui.ElementSelectorExtension` `getCanvasExt()`
`org.eclipse.gmf.internal.common.ui.CreateNewModelExtension` `getCreateNewToolingModelExt()`
`org.eclipse.emf.ecore.EClass` `getDomainElement()`
`org.eclipse.gmf.internal.common.ui.ElementSelectorExtension` `getDomainElementExt()`
`org.eclipse.emf.ecore.EPackage` `getDomainModel()`
`org.eclipse.gmf.internal.common.ui.ElementSelectorExtension` `getDomainModelExt()`
`org.eclipse.gmf.internal.common.ui.ExtensibleModelSelectionPage` `getDomainModelSelectionPage()`
`protected org.eclipse.gmf.internal.common.ui.ElementSelectorExtension` `getElementSelectorExtension(org.eclipse.gmf.internal.common.ui.ExtensibleModelSelectionPage page, java.lang.String selectorId)`
`org.eclipse.gmf.internal.common.ui.ExtensibleModelSelectionPage` `getGraphModelSelectionPage()`
`Palette` `getPalette()`
`org.eclipse.gmf.internal.common.ui.ElementSelectorExtension` `getPaletteExt()`
`protected org.eclipse.emf.ecore.resource.ResourceSet` `getResourceSet()`
`protected org.eclipse.emf.ecore.EObject` `getSelectedElement(org.eclipse.gmf.internal.common.ui.ExtensibleModelSelectionPage page, java.lang.String selectorId)`
`org.eclipse.gmf.internal.common.ui.ExtensibleModelSelectionPage` `getToolModelSelectionPage()`
`boolean` `shouldCreateNewToolingModel(boolean defaultValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapRefModelPages

    public MapRefModelPages(boolean withSelectors,
                            org.eclipse.emf.ecore.resource.ResourceSet resourceSet)

Method Detail

### getResourceSet

    protected org.eclipse.emf.ecore.resource.ResourceSet getResourceSet()

### getDomainModelSelectionPage

    public org.eclipse.gmf.internal.common.ui.ExtensibleModelSelectionPage getDomainModelSelectionPage()

### getGraphModelSelectionPage

    public org.eclipse.gmf.internal.common.ui.ExtensibleModelSelectionPage getGraphModelSelectionPage()

### getToolModelSelectionPage

    public org.eclipse.gmf.internal.common.ui.ExtensibleModelSelectionPage getToolModelSelectionPage()

### addPages

    public void addPages(Wizard wizard,
                         ISelection selection)

### addDomainPage

    protected void addDomainPage(Wizard wizard,
                                 org.eclipse.gmf.internal.common.ui.ResourceLocationProvider rloc)

### addGraphPage

    protected void addGraphPage(Wizard wizard,
                                org.eclipse.gmf.internal.common.ui.ResourceLocationProvider rloc)

### addToolPage

    protected void addToolPage(Wizard wizard,
                               org.eclipse.gmf.internal.common.ui.ResourceLocationProvider rloc)

### allowNewToolingModel

    public void allowNewToolingModel()

### getCreateNewToolingModelExt

    public org.eclipse.gmf.internal.common.ui.CreateNewModelExtension getCreateNewToolingModelExt()

### shouldCreateNewToolingModel

    public boolean shouldCreateNewToolingModel(boolean defaultValue)

### getElementSelectorExtension

    protected org.eclipse.gmf.internal.common.ui.ElementSelectorExtension getElementSelectorExtension(org.eclipse.gmf.internal.common.ui.ExtensibleModelSelectionPage page,
                                                                                                      java.lang.String selectorId)

### getSelectedElement

    protected org.eclipse.emf.ecore.EObject getSelectedElement(org.eclipse.gmf.internal.common.ui.ExtensibleModelSelectionPage page,
                                                               java.lang.String selectorId)

### getDomainModelExt

    public org.eclipse.gmf.internal.common.ui.ElementSelectorExtension getDomainModelExt()

### getDomainElementExt

    public org.eclipse.gmf.internal.common.ui.ElementSelectorExtension getDomainElementExt()

### getCanvasExt

    public org.eclipse.gmf.internal.common.ui.ElementSelectorExtension getCanvasExt()

### getPaletteExt

    public org.eclipse.gmf.internal.common.ui.ElementSelectorExtension getPaletteExt()

### getDomainModel

    public org.eclipse.emf.ecore.EPackage getDomainModel()

### getDomainElement

    public org.eclipse.emf.ecore.EClass getDomainElement()

### getCanvas

    public Canvas getCanvas()

### getPalette

    public Palette getPalette()

### createMapping

    public Mapping createMapping()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.